#include "cMenuDown.hpp"

/*** SDL Header Files ***/
#include "SDL.h"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

using Input::cMenuDown;

cMenuDown::cMenuDown( SDL_Keycode key, MainMenu::cMainMenu** menu )
: cKey(key), mpp_menu(menu)
{}

/*cMenuDown::cMenuDown( const cMenuDown& copy )
{}*/

cMenuDown::~cMenuDown()
{}

///Funtions
void cMenuDown::KeyPress()
{
}

void cMenuDown::KeyUP()
{
}

void cMenuDown::KeyDown()
{
	if (mpp_menu != nullptr && *mpp_menu != nullptr)
		(*mpp_menu)->OptionDown();
}